### Method

# Gio Resolver lookup_by_name_with_flags_async

since: 2.60

#### Declaration

    void
    g_resolver_lookup_by_name_with_flags_async (
      GResolver* resolver,
      const gchar* hostname,
      GResolverNameLookupFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Begins asynchronously resolving `hostname` to determine its associated IP address(es), and eventually calls `callback`, which must call `g_resolver_lookup_by_name_with_flags_finish()` to get the result. See `g_resolver_lookup_by_name()` for more details.

Available since: 2.60

This method completes asynchronously. Use `g_resolver_lookup_by_name_with_flags_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`hostname`

  Type: `const gchar*`

  The hostname to look up the address of.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GResolverNameLookupFlags`

  Extra `GResolverNameLookupFlags` for the lookup.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call after resolution completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.